# 37. Forespørgsel: Hent "SatelliteImages" i det definerede interval

Hent "SatelliteImages" i den definerede tidsramme (`før` og `efter` datoerne).

Filtre `før` og `efter` tilhører [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

Det er muligt kun at bruge ét af filtrene.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    navn
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      navn
      oprettetDato
      area(unit: HECTARES)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/37.-foresporgsel-hent-satelliteimages-i-det-definerede-interval.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
